Font File Reference
`#include <string>`
`#include <istream>`
`#include <osg/TexEnv>`
`#include <osgText/Glyph>`
`#include <osgDB/Options>`
`#include <OpenThreads/Mutex>`

Go to the source code of this file.

## Classes

class | osgText::Font
class | osgText::Font::FontImplementation

## Namespaces

namespace | osgText

## Macros

#define | OSGTEXT_FONT 1

## Functions

OSGTEXT_EXPORT osg::ref_ptr< Font > | osgText::readRefFontFile (const std::string &filename, const osgDB::Options *userOptions=0)
OSGTEXT_EXPORT osg::ref_ptr< Font > | osgText::readRefFontStream (std::istream &stream, const osgDB::Options *userOptions=0)
OSGTEXT_EXPORT std::string | osgText::findFontFile (const std::string &str)

## Macro Definition Documentation

## OSGTEXT_FONT

#define OSGTEXT_FONT 1